<?
include_once "../SYSTEM/include/functions.php";
include_once BASEDIR."SYSTEM/include/mysql.php";
include_once BASEDIR."SYSTEM/include/param.php";
include_once BASEDIR."SYSTEM/include/ban.php";
include_once BASEDIR."SYSTEM/include/sess.php";
include_once BASEDIR."SYSTEM/include/ban_2.php";
include_once BASEDIR."SYSTEM/include/theme.php";
$title='Главное меню';
$mesto='В админке';
head();
if (!isset($user) || $user['level']<3)
{
header ("Location: ../index.php?".SID."");
exit;
}


echo "<div class=\"h\">Главное меню</div><hr />\n";
if ($mail_in_new>0)echo "<div class=\"privat\"><img src=\"../SYSTEM/themes/$them/img/mail0.gif\" alt=\"\" /> <a href=\"../mail.php?act=in\">Приват</a> [$mail_in_new]</div><hr />\n";


if (isset($_GET['act']) && $_GET['act']=='add')
{
$name=$_POST['name'];
$link=stripcslashes(htmlspecialchars($_POST['link']));
$count=mysql_escape_string($_POST['count']);
$num=intval($_POST['num']);
$menu=mysql_escape_string($_POST['menu']);

if (mysql_query("INSERT INTO `$mysql[pref]menu` (name, link, count, num, menu) values('$name', '$link', '$count', '$num', '$menu');"))
{
action("Добавление нового пункта в меню");
echo "<span style=\"color:$color[msg]\"><b>Ссылка успешно добавлена</b></span>\n<br />\n";
}
}



if (isset($_GET['act']) && $_GET['act']=='set' && isset($_GET['id']))
{
$id=intval($_GET['id']);
$name=$_POST['name'];
$link=stripcslashes(htmlspecialchars($_POST['link']));
$count=mysql_escape_string($_POST['count']);
$num=intval($_POST['num']);
$menu=mysql_escape_string($_POST['menu']);

if (mysql_query("UPDATE `$mysql[pref]menu` SET `name` = '$name', `link` = '$link', `count` = '$count', `num` = '$num', `menu` = '$menu' WHERE `id` = '$id';"))
{
action("Изменение пункта в меню");
echo "<span style=\"color:$color[msg]\"><b>Ссылка успешно изменена</b></span>\n<br />\n";
}
}

if (isset($_GET['act']) && $_GET['act']=='del' && isset($_GET['id']))
{
$id=intval($_GET['id']);


if (mysql_query("DELETE FROM `$mysql[pref]menu` WHERE `id` = '$id';"))
{
action("Удаление пункта в меню");
echo "<span style=\"color:$color[msg]\"><b>Ссылка успешно удалена</b></span>\n<br />\n";
}
}




if (isset($_GET['menu'])){$menu=mysql_escape_string($_GET['menu']);}else {$menu='';}

$q_c = mysql_query("SELECT COUNT(*) FROM `$mysql[pref]menu` WHERE `menu` = '$menu' ORDER BY num ASC;");
$k_links=mysql_result($q_c, 0);


$q = mysql_query("SELECT * FROM `$mysql[pref]menu` WHERE `menu` = '$menu' ORDER BY num ASC;");

while ($main_menu = mysql_fetch_array($q))
{
echo "<div class=\"mess\">\n";


if ($main_menu['menu']!=''){echo "<a href=\"menu.php?menu=$menu\">";}

echo "$main_menu[num]. <b>$main_menu[name]</b> (id=$main_menu[id])<br />\n";

if ($main_menu['menu']!=''){echo "</a>";}


echo "Ссылка: <b>$main_menu[link]</b><br />\n";
if ($main_menu['count']!='')echo "Счетчик: <b>$main_menu[count]</b><br />\n";


echo "<a href=\"menu.php?menu=$menu&amp;id=$main_menu[id]&amp;form=set\">Изменить</a> | ";
echo "<a href=\"menu.php?menu=$menu&amp;id=$main_menu[id]&amp;act=del\">Удалить</a><br />";
echo "</div>";
echo "<br />\n";
}

if (isset($_GET['form']) && $_GET['form']=='set' && isset($_GET['id']))
{
$id=intval($_GET['id']);

$q_id = mysql_query("SELECT COUNT(*) FROM `$mysql[pref]menu` WHERE `id` = '$id';");
if (mysql_result($q_id, 0)==1)
{
$q = mysql_query("SELECT * FROM `$mysql[pref]menu` WHERE `id` = '$id';");
$main_menu = mysql_fetch_array($q);
echo "<form method=\"post\" action=\"menu.php?act=set&amp;id=$id&amp;menu=$main_menu[menu]\">\n";
echo "<b>Новая ссылка:</b><br />\n";
echo "Название:<br />\n<input name=\"name\" class=\"form\" value=\"$main_menu[name]\" type=\"text\" /><br />\n";
echo "Ссылка:<br />\n<input name=\"link\" class=\"form\" value=\"$main_menu[link]\" type=\"text\" /><br />\n";
echo "Счетчик:<br />\n<input name=\"count\" class=\"form\" value=\"$main_menu[count]\" type=\"text\" /><br />\n";
echo "Положение:<br />\n<input name=\"num\" class=\"form\" value=\"$main_menu[num]\" type=\"text\" /><br />\n";
echo "Подменю (главное меню - пустое значение):<br />\n<input name=\"menu\" class=\"form\" value=\"$main_menu[menu]\" type=\"text\" /><br />\n";
echo "<input value=\"Изменить\" class=\"form\" type=\"submit\" />\n";
echo "</form>\n";
}
}






if (isset($_GET['form']) && $_GET['form']=='add'){
echo "<form method=\"post\" action=\"menu.php?act=add&amp;menu=$menu\">\n";
echo "<b>Новая ссылка:</b><br />\n";
echo "Название:<br />\n<input name=\"name\" class=\"form\" value=\"\" type=\"text\" /><br />\n";
echo "Ссылка:<br />\n<input name=\"link\" class=\"form\" value=\"\" type=\"text\" /><br />\n";
echo "Счетчик:<br />\n<input name=\"count\" class=\"form\" value=\"\" type=\"text\" /><br />\n";
echo "Положение:<br />\n<input name=\"num\" class=\"form\" value=\"".($k_links+1)."\" type=\"text\" /><br />\n";
echo "Подменю (главное меню - пустое значение):<br />\n<input name=\"menu\" class=\"form\" value=\"$menu\" type=\"text\" /><br />\n";
echo "<input value=\"Добавить\" class=\"form\" type=\"submit\" />\n";
echo "</form>\n";}
else {echo "<br /><a href=\"menu.php?menu=$menu&amp;form=add\">Добавить ссылку</a>\n";}

if ($menu!='')echo "<br /><a href=\"menu.php\">Главное меню</a>\n";

echo "<br /><a href=\"index.php\">&lt;&lt; Админка</a>\n";
echo "<br /><a href=\"../index.php\">&lt;&lt; На главную</a>\n";

foot();
?>
